var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/autoComplete/index.ts
var autoComplete_exports = {};
__export(autoComplete_exports, {
  fireBlur: () => fireBlur2,
  fireClear: () => fireClear2,
  fireFocus: () => fireFocus2,
  fireOpen: () => fireOpen2,
  fireSearch: () => fireSearch2,
  fireSelect: () => fireSelect2,
  query: () => query,
  queryClear: () => queryClear2,
  queryDropdown: () => queryDropdown,
  queryInput: () => queryInput2,
  queryOption: () => queryOption2,
  querySelectorWrapper: () => querySelectorWrapper2
});
module.exports = __toCommonJS(autoComplete_exports);
var import_provider = require("../provider");
var select = __toESM(require("../select"));
var import_utils = require("../utils");
var mixins = {
  query,
  queryInput: queryInput2,
  querySelectorWrapper: querySelectorWrapper2,
  queryDropdown,
  queryOption: queryOption2,
  queryClear: queryClear2,
  fireSearch: fireSearch2,
  fireOpen: fireOpen2,
  fireSelect: fireSelect2,
  fireFocus: fireFocus2,
  fireBlur: fireBlur2,
  fireClear: fireClear2
};
function fireSearch2(container, value) {
  select.fireSearch(container, value);
}
function fireOpen2(container) {
  select.fireOpen(container);
}
function fireSelect2(container, index) {
  select.fireSelect(container, index);
}
function fireFocus2(container) {
  select.fireFocus(container);
}
function fireBlur2(container) {
  select.fireBlur(container);
}
function fireClear2(container) {
  select.fireClear(container);
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-select-auto-complete`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryInput2(container, index = 0) {
  return select.queryInput(container, index);
}
function querySelectorWrapper2(container, index = 0) {
  return select.querySelectorWrapper(container, index);
}
function queryDropdown(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-select-dropdown:not(.${(0, import_provider.getProvider)(
    "prefixCls"
  )}-select-dropdown-hidden)`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryOption2(container, index = 0) {
  return select.queryOption(container, index);
}
function queryClear2(container, index = 0) {
  return select.queryClear(container, index);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireBlur,
  fireClear,
  fireFocus,
  fireOpen,
  fireSearch,
  fireSelect,
  query,
  queryClear,
  queryDropdown,
  queryInput,
  queryOption,
  querySelectorWrapper
});
