var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/drawer/index.ts
var drawer_exports = {};
__export(drawer_exports, {
  fireClose: () => fireClose
});
module.exports = __toCommonJS(drawer_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
function fireClose(container, opt = { closeByMask: true }) {
  const selector = opt.closeByMask ? `.${(0, import_provider.getProvider)("prefixCls")}-drawer-mask` : `.${(0, import_provider.getProvider)("prefixCls")}-drawer-close`;
  const ele = (0, import_utils.queryViaSelector)(container, selector);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.click(ele);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireClose
});
