import type { IContainer } from '../interface';
/**
 * Fires floatButton onClick function
 */
export declare function fireClick(container: IContainer): void;
/**
 * Returns the `index` of floatButton.
 * @param {number} index default is `0`
 */
export declare function query(container: IContainer, index?: number): import("../interface").MixinElement<{
    fireClick: typeof fireClick;
    query: typeof query;
}> | null | undefined;
