var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/form/index.ts
var form_exports = {};
__export(form_exports, {
  query: () => query,
  queryFormItemControls: () => queryFormItemControls,
  queryFormItems: () => queryFormItems
});
module.exports = __toCommonJS(form_exports);
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  queryFormItems,
  queryFormItemControls
};
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-form`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryFormItems(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-form-item`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryFormItemControls(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-form-item-control`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  query,
  queryFormItemControls,
  queryFormItems
});
