var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/popconfirm/index.ts
var popconfirm_exports = {};
__export(popconfirm_exports, {
  fireCancel: () => fireCancel,
  fireConfirm: () => fireConfirm,
  fireOpen: () => fireOpen,
  query: () => query2,
  queryButtons: () => queryButtons,
  queryCancelButton: () => queryCancelButton,
  queryConfirmButton: () => queryConfirmButton
});
module.exports = __toCommonJS(popconfirm_exports);
var import_react = require("@testing-library/react");
var button = __toESM(require("../button"));
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query: query2,
  queryButtons,
  queryCancelButton,
  queryConfirmButton,
  fireCancel,
  fireConfirm
};
function fireOpen(trigger) {
  if (!trigger)
    throw (0, import_utils.failedTriggerElement)();
  jest.runAllTimers();
  (0, import_react.act)(() => {
    import_react.fireEvent.click(trigger);
  });
}
function fireCancel(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-popconfirm-buttons .${(0, import_provider.getProvider)("prefixCls")}-btn`;
  const ele = queryCancelButton(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.click(ele);
}
function fireConfirm(container) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-popconfirm-buttons .${(0, import_provider.getProvider)("prefixCls")}-btn`;
  const ele = queryConfirmButton(container);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.click(ele);
}
function query2(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-popconfirm`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryButtons(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-popconfirm-buttons`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryCancelButton(container, index = 0) {
  if (container instanceof HTMLButtonElement) {
    return container;
  }
  const ele = queryButtons(container, index);
  if (!ele)
    return null;
  return button.query(ele, 0);
}
function queryConfirmButton(container, index = 0) {
  if (container instanceof HTMLButtonElement) {
    return container;
  }
  const ele = queryButtons(container, index);
  if (!ele)
    return null;
  return button.query(ele, 1);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireCancel,
  fireConfirm,
  fireOpen,
  query,
  queryButtons,
  queryCancelButton,
  queryConfirmButton
});
