// src/index.ts
import * as alert from "./alert";
import * as anchor from "./anchor";
import * as autoComplete from "./autoComplete";
import * as breadcrumb from "./breadcrumb";
import * as button from "./button";
import * as card from "./card";
import * as cascader from "./cascader";
import * as checkbox from "./checkbox";
import * as collapse from "./collapse";
import * as colorPicer from "./colorPicker";
import * as datePicker from "./datePicker";
import * as drawer from "./drawer";
import * as dropdown from "./dropdown";
import * as floatButton from "./floatButton";
import * as form from "./form";
import * as input from "./input";
import * as inputNumber from "./inputNumber";
import * as menu from "./menu";
import * as message from "./message";
import * as modal from "./modal";
import * as notification from "./notification";
import * as pagination from "./pagination";
import * as popconfirm from "./popconfirm";
import { getProvider, getProviders, provider } from "./provider";
import * as qrCode from "./qrCode";
import * as radio from "./radio";
import * as rate from "./rate";
import * as segmented from "./segmented";
import * as select from "./select";
import * as switch2 from "./switch";
import * as table from "./table";
import * as tabs from "./tabs";
import * as tag from "./tag";
import * as timePicker from "./timePicker";
import * as tooltip from "./tooltip";
import * as tour from "./tour";
import * as transfer from "./transfer";
import * as tree from "./tree";
import * as treeSelect from "./treeSelect";
import * as upload from "./upload";
export {
  alert,
  anchor,
  autoComplete,
  breadcrumb,
  button,
  card,
  cascader,
  checkbox,
  collapse,
  colorPicer,
  datePicker,
  drawer,
  dropdown,
  floatButton,
  form,
  getProvider,
  getProviders,
  input,
  inputNumber,
  menu,
  message,
  modal,
  notification,
  pagination,
  popconfirm,
  provider,
  qrCode,
  radio,
  rate,
  segmented,
  select,
  switch2 as switch,
  table,
  tabs,
  tag,
  timePicker,
  tooltip,
  tour,
  transfer,
  tree,
  treeSelect,
  upload
};
