// src/tooltip/index.ts
import { act, fireEvent } from "@testing-library/react";
import { failedTriggerElement } from "../utils";
function fireOpen(ele) {
  if (!ele)
    throw failedTriggerElement();
  fireEvent.mouseEnter(ele);
  act(() => {
    jest.runAllTimers();
  });
}
export {
  fireOpen
};
