var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/anchor/index.tsx
var anchor_exports = {};
__export(anchor_exports, {
  fireClick: () => fireClick,
  query: () => query,
  queryLink: () => queryLink
});
module.exports = __toCommonJS(anchor_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  queryLink,
  fireClick
};
function fireClick(container, indexOrHash) {
  let ele = null;
  let selector = "";
  if (typeof indexOrHash === "string") {
    selector = `.${(0, import_provider.getProvider)("prefixCls")}-anchor-link-title[href="${indexOrHash}"]`;
    ele = (0, import_utils.queryViaSelector)(container, selector);
    if (!ele)
      throw (0, import_utils.failedQuerySelector)(selector);
  } else if (typeof indexOrHash === "number") {
    selector = getSelector("link");
    ele = queryLink(container, indexOrHash);
  } else {
    selector = getSelector("link");
    ele = queryLink(container);
  }
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  import_react.fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = getSelector();
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryLink(container, index = 0) {
  const selector = getSelector("link");
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function getSelector(type = "default") {
  switch (type) {
    case "default":
      return `.${(0, import_provider.getProvider)("prefixCls")}-anchor-wrapper`;
    case "link":
      return `.${(0, import_provider.getProvider)("prefixCls")}-anchor-link-title`;
    default:
      return "";
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireClick,
  query,
  queryLink
});
