import type { IContainer } from '../interface';
/**
 * Fires onFocus function
 */
export declare function fireFocus(container: IContainer): void;
/**
 * Fires onBlur function
 */
export declare function fireBlur(container: IContainer): void;
/**
 * Fires onChange functionƒ
 */
export declare function fireChange(container: IContainer, value: any): void;
/**
 * Fires onClear function
 */
export declare function fireClear(container: IContainer): void;
/**
 * Fires onClear function
 */
export declare function firePressEnter(container: IContainer): void;
/**
 * Returns the textarea element
 */
export declare function query(container: IContainer, index?: number): HTMLElement | null;
