var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/menu/index.ts
var menu_exports = {};
__export(menu_exports, {
  fireMenuItemClick: () => fireMenuItemClick,
  fireSubMenuClick: () => fireSubMenuClick,
  query: () => query
});
module.exports = __toCommonJS(menu_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var mixins = {
  query,
  fireMenuItemClick,
  fireSubMenuClick
};
function fireMenuItemClick(container, index) {
  const selector = `li.${(0, import_provider.getProvider)("prefixCls")}-menu-item`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(`${selector} with index ${index}`);
  import_react.fireEvent.click(ele);
}
function fireSubMenuClick(container, index) {
  const selector = `div.${(0, import_provider.getProvider)("prefixCls")}-menu-submenu-title`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(`${selector} with index ${index}`);
  import_react.fireEvent.click(ele);
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-menu`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireMenuItemClick,
  fireSubMenuClick,
  query
});
