var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/modal/confirm.ts
var confirm_exports = {};
__export(confirm_exports, {
  fireCancel: () => fireCancel,
  fireOk: () => fireOk,
  fireOpen: () => fireOpen,
  query: () => query3,
  queryBtns: () => queryBtns,
  queryCancelButton: () => queryCancelButton,
  queryOkButton: () => queryOkButton
});
module.exports = __toCommonJS(confirm_exports);
var import_react = require("@testing-library/react");
var button = __toESM(require("../button"));
var import_provider = require("../provider");
var import_utils = require("../utils");
var modal = __toESM(require("./"));
function fireOpen(ele) {
  if (!ele)
    throw (0, import_utils.failedTriggerElement)();
  import_react.fireEvent.click(ele);
  (0, import_react.act)(() => {
    jest.runAllTimers();
  });
}
function fireOk(container) {
  const ele = queryOkButton(container);
  if (!ele)
    throw (0, import_utils.failedTriggerElement)();
  import_react.fireEvent.click(ele);
}
function fireCancel(container) {
  const ele = queryCancelButton(container);
  if (!ele)
    throw (0, import_utils.failedTriggerElement)();
  import_react.fireEvent.click(ele);
}
function query3(container, index = 0) {
  return modal.query(container, index);
}
function queryBtns(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-modal-confirm-btns`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return ele;
}
function queryCancelButton(container, index = 0) {
  if (container instanceof HTMLButtonElement) {
    return container;
  }
  const btns = queryBtns(container, index);
  if (!btns)
    return null;
  return button.query(btns, 0);
}
function queryOkButton(container, index = 0) {
  if (container instanceof HTMLButtonElement) {
    return container;
  }
  const btns = queryBtns(container, index);
  if (!btns)
    return null;
  return button.query(btns, 1);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireCancel,
  fireOk,
  fireOpen,
  query,
  queryBtns,
  queryCancelButton,
  queryOkButton
});
