var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/modal/index.ts
var modal_exports = {};
__export(modal_exports, {
  confirm: () => confirm,
  fireCancel: () => fireCancel,
  fireOk: () => fireOk,
  query: () => query2,
  queryCancelButton: () => queryCancelButton,
  queryMask: () => queryMask,
  queryModalFooter: () => queryModalFooter,
  queryOkButton: () => queryOkButton
});
module.exports = __toCommonJS(modal_exports);
var import_react = require("@testing-library/react");
var button = __toESM(require("../button"));
var import_provider = require("../provider");
var import_utils = require("../utils");
var confirm = __toESM(require("./confirm"));
var mixins = {
  query: query2,
  queryModalFooter,
  queryOkButton,
  queryCancelButton,
  queryMask,
  fireOk,
  fireCancel
};
function fireOk(container) {
  const ele = queryOkButton(container);
  if (!ele)
    throw (0, import_utils.failedTriggerElement)();
  import_react.fireEvent.click(ele);
}
function fireCancel(container) {
  const ele = queryCancelButton(container) || queryMask(container);
  if (!ele)
    throw (0, import_utils.failedTriggerElement)();
  import_react.fireEvent.click(ele);
}
function query2(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-modal`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryModalFooter(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-modal-footer`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
function queryCancelButton(container, index = 0) {
  if (container instanceof HTMLButtonElement) {
    return container;
  }
  const ele = queryModalFooter(container, index);
  if (!ele)
    return null;
  return button.query(ele, 0);
}
function queryOkButton(container, index = 0) {
  if (container instanceof HTMLButtonElement) {
    return container;
  }
  const ele = queryModalFooter(container, index);
  if (!ele)
    return null;
  return button.query(ele, 1);
}
function queryMask(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-modal-close`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  confirm,
  fireCancel,
  fireOk,
  query,
  queryCancelButton,
  queryMask,
  queryModalFooter,
  queryOkButton
});
