var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/rate/index.ts
var rate_exports = {};
__export(rate_exports, {
  fireChange: () => fireChange,
  fireHoverChange: () => fireHoverChange,
  query: () => query
});
module.exports = __toCommonJS(rate_exports);
var import_react = require("@testing-library/react");
var import_provider = require("../provider");
var import_utils = require("../utils");
var resetProperty = () => {
  Object.defineProperties(MouseEvent.prototype, {
    pageX: {
      get() {
        return this.clientX;
      },
      configurable: true
    }
  });
};
var mixins = {
  query,
  fireChange,
  fireHoverChange
};
function fireChange(container, value) {
  resetProperty();
  const isHalfStar = !Number.isInteger(value);
  const starIntValue = Math.ceil(value);
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-rate .${(0, import_provider.getProvider)(
    "prefixCls"
  )}-rate-star > div[aria-posinset="${starIntValue}"]`;
  const ele = container.querySelector(selector);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  (0, import_react.fireEvent)(ele, new MouseEvent("click", { clientX: isHalfStar ? -1 : 0, bubbles: true }));
}
function fireHoverChange(container, value) {
  resetProperty();
  const isHalfStar = !Number.isInteger(value);
  const starIntValue = Math.ceil(value);
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-rate .${(0, import_provider.getProvider)(
    "prefixCls"
  )}-rate-star > div[aria-posinset="${starIntValue}"]`;
  const ele = container.querySelector(selector);
  if (!ele)
    throw (0, import_utils.failedQuerySelector)(selector);
  (0, import_react.fireEvent)(ele, new MouseEvent("mousemove", { clientX: isHalfStar ? -1 : 0, bubbles: true }));
}
function query(container, index = 0) {
  const selector = `.${(0, import_provider.getProvider)("prefixCls")}-rate`;
  const ele = (0, import_utils.queryViaSelector)(container, selector, index);
  return (0, import_utils.mixinElementWithTestFuncs)(ele, mixins);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  fireChange,
  fireHoverChange,
  query
});
